APIs / Dubizzle / Property Search

Dubizzle: Property Search

Property Search from Dubizzle as JSON. 1 credit per successful call.

GET /v1/dubizzle/property-search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringOptionalUp to 200 characters
emiratestringOptionaldubai, abu-dhabi, sharjah, ajman, al-ain, ras-al-khaimah, umm-al-quwain, fujairah
price_minintegerOptionalAny
price_maxintegerOptionalAny
pageintegerOptionalAny
limitintegerOptionalAny
purposestringOptionalsale, rent
segmentstringOptionalresidential, commercial
categorystringOptionalAny
bedrooms_minintegerOptionalAny
bedrooms_maxintegerOptionalAny
size_minintegerOptionalAny
size_maxintegerOptionalAny
furnishedbooleanOptionalAny
sortstringOptionalnewest, oldest, price_asc, price_desc, verified_first

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/dubizzle/property-search?purpose=sale&category=property-for-sale%2Fresidential%2Fapartment&emirate=dubai&limit=3" \
  -H "X-API-Key: $API_KEY"